Availability: Public Preview
This endpoint is currently in public preview and available only to approved accounts. Please contact Arta to request access for your organization.
Retrieve a paginated collection of self-ship collection records belonging to your organization, sorted by most recent first
GET
/self_ship_collections
curl \
--request GET 'https://api.arta.io/self_ship_collections' \
--header "Authorization: ARTA_APIKey s0e1t2e3c4a5s6t7r8o9n10o11m12y"
Response examples (200)
# Headers
content-type: application/json
x-arta-request-id: FkBjuxbwLLTx4RoAARkx
# Payload
{
"items": [
{
"closed_at": null,
"collection_date": "2026-03-06",
"collection_time": "10:00:00",
"created_at": "2026-03-01T12:00:00.000000",
"id": "550e8400-e29b-41d4-a716-446655440000",
"location": {
"address_line_1": "123 Main St",
"address_line_2": null,
"city": "New York",
"close_time": "17:00:00",
"contact": {
"email_address": "john@example.com",
"name": "John Doe",
"phone_number": "+1-555-123-4567"
},
"country": "US",
"package_location": "none",
"postal_code": "10001",
"region": "NY"
},
"service": {
"carrier": "dhl",
"code": "express",
"declared_value": "500.00",
"declared_value_currency": "USD",
"package_details": {
"packages": [
{
"depth": "12",
"height": "8",
"unit_of_measurement": "in",
"weight": "5.5",
"weight_unit": "lb",
"width": "10"
}
]
},
"route": "international"
},
"shortcode": "ACME-S3GP24",
"status": "scheduled",
"updated_at": "2026-03-01T12:00:00.000000"
}
],
"metadata": {
"page": 1,
"page_size": 20,
"total_count": 1
}
}